## feh 3.1.3

=== Makefile ===
include config.mk

all: build-src build-man build-applications

build-src:
	@${MAKE} -C src

build-man:
	@${MAKE} -C man

build-applications:
	@${MAKE} -C share/applications

test: all
	@if ! uname -m | fgrep -q -e arm -e mips; then \
		PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t; \
	else \
		PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t || cat test/imlib2-bug-notice; \
	fi

test-x11: all
	test/run-interactive
	prove test/feh-bg-i.t

install: install-man install-doc install-bin install-font install-img
install: install-icon install-examples install-applications

install-man:
	@echo installing manuals to ${man_dir}
	@mkdir -p ${man_dir}/man1
	@cp man/feh.1 ${man_dir}/man1
	@chmod 644 ${man_dir}/man1/feh.1

install-doc:
	@echo installing docs to ${doc_dir}
	@mkdir -p ${doc_dir}
	@cp AUTHORS ChangeLog README.md TODO ${doc_dir}
	@chmod 644 ${doc_dir}/AUTHORS ${doc_dir}/ChangeLog ${doc_dir}/README.md \
		${doc_dir}/TODO

install-bin:
	@echo installing executables to ${bin_dir}
	@mkdir -p ${bin_dir}
	@cp src/feh ${bin_dir}/feh.tmp
	@mv ${bin_dir}/feh.tmp ${bin_dir}/feh
	@chmod 755 ${bin_dir}/feh

install-font:
	@echo installing fonts to ${font_dir}
	@mkdir -p ${font_dir}
	@chmod 755 ${font_dir}
	@cp share/fonts/* ${font_dir}
	@chmod 644 ${font_dir}/*

install-img:
	@echo installing images to ${image_dir}
	@mkdir -p ${image_dir}
	@chmod 755 ${image_dir}
	@cp share/images/* ${image_dir}
	@chmod 644 ${image_dir}/*

install-icon:
	@echo installing icon to ${48_icon_dir}
	@mkdir -p ${48_icon_dir}
	@cp share/images/feh.png ${48_icon_dir}
	@chmod 644 ${48_icon_dir}/feh.png
	@echo installing icon to ${scalable_icon_dir}
	@mkdir -p ${scalable_icon_dir}
	@cp share/images/feh.svg ${scalable_icon_dir}
	@chmod 644 ${scalable_icon_dir}/feh.svg
	@if test "${app}" = 1 && which gtk-update-icon-cache > /dev/null 2>&1; then \
		gtk-update-icon-cache ${icon_dir}; \
	fi

install-examples:
	@echo installing examples to ${example_dir}
	@mkdir -p ${example_dir}
	@cp examples/* ${example_dir}
	@chmod 644 ${example_dir}/*

install-applications:
	@echo installing desktop file to ${desktop_dir}
	@mkdir -p ${desktop_dir}
	@cp share/applications/feh.desktop ${desktop_dir}
	@chmod 644 ${desktop_dir}/feh.desktop


uninstall:
	rm -f ${man_dir}/man1/feh.1
	rm -rf ${doc_dir}
	rm -f ${bin_dir}/feh
	rm -f ${desktop_dir}/feh.desktop
	rm -rf ${font_dir}
	rm -rf ${image_dir}
	@if test -e ${48_icon_dir}/feh.png; then \
		echo rm -f ${48_icon_dir}/feh.png; \
		rm -f ${48_icon_dir}/feh.png; \
	fi
	@if test -e ${scalable_icon_dir}/feh.svg; then \
		echo rm -f ${scalable_icon_dir}/feh.svg; \
		rm -f ${scalable_icon_dir}/feh.svg; \
	fi
	@if which gtk-update-icon-cache > /dev/null 2>&1; then \
		gtk-update-icon-cache ${icon_dir}; \
	fi

dist:
	mkdir /tmp/feh-${VERSION}
	git --work-tree=/tmp/feh-${VERSION} checkout -f
	cp src/deps.mk /tmp/feh-${VERSION}/src/deps.mk
	sed -i 's/^VERSION ?= .*$$/VERSION ?= ${VERSION}/' \
		/tmp/feh-${VERSION}/config.mk
	sed -i 's/^MAN_DATE ?= .*$$/MAN_DATE ?= ${MAN_DATE}/' \
		/tmp/feh-${VERSION}/config.mk
	tar -C /tmp -cjf ../feh-${VERSION}.tar.bz2 feh-${VERSION}
	rm -r /tmp/feh-${VERSION}

disttest: dist
	tar -C /tmp -xjf ../feh-${VERSION}.tar.bz2
	make -C /tmp/feh-${VERSION}
	make -C /tmp/feh-${VERSION} test
	make -C /tmp/feh-${VERSION} install DESTDIR=./install
	make -C /tmp/feh-${VERSION} uninstall DESTDIR=./install
	rm -r /tmp/feh-${VERSION}

clean:
	@${MAKE} -C src clean
	@${MAKE} -C man clean
	@${MAKE} -C share/applications clean

.PHONY: all test test-x11 install uninstall clean install-man install-doc \
	install-bin install-font install-img install-examples \
	install-applications dist

=== man/Makefile ===
include ../config.mk

SOURCES = ${shell echo *.pre}
TARGETS = ${SOURCES:.pre=.1}

all: ${TARGETS}

.pre.1:
	sed \
	-e 's/\$$VERSION\$$/${VERSION}/g' \
	-e 's/\$$DATE\$$/${MAN_DATE}/g' \
	-e 's/\$$MAN_CURL\$$/${MAN_CURL}/' \
	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
	-e 's/\$$MAN_EXIF\$$/${MAN_EXIF}/' \
	-e 's/\$$MAN_VERSCMP\$$/${MAN_VERSCMP}/' \
	-e 's/\$$MAN_XINERAMA\$$/${MAN_XINERAMA}/' \
	< ${@:.1=.pre} > $@

clean:
	rm -f *.1

.SUFFIXES: .pre .1

.PHONY: clean

=== debian/changelog ===
feh (3.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Feb 2019 16:55:58 +0000

feh (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Feb 2019 07:26:20 +0000

feh (3.1.1-2) unstable; urgency=medium

  * Document changed behaviour in NEWS.Debian
    Closes: #915904
  * Drop explicit compression settings

 -- Andreas Tille <tille@debian.org>  Tue, 11 Dec 2018 12:48:49 +0100

feh (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Dec 2018 23:13:06 +0000

feh (3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Nov 2018 16:19:33 +0000

feh (2.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 29 Oct 2018 17:33:33 +0000

feh (2.28-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Sep 2018 23:21:44 +0000

feh (2.27.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Sep 2018 11:38:46 +0000

=== debian/control ===
Source: feh
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.org>
Section: graphics
Priority: optional
Build-Depends: libx11-dev,
               libxt-dev,
               libimlib2-dev,
               libxinerama-dev,
               debhelper (>= 10),
               perl,
               libtest-command-perl,
               libcurl4-openssl-dev | libcurl-dev,
               libexif-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
Homepage: https://feh.finalrewind.org/

Package: feh
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yudit-common
Recommends: libjpeg-progs
Description: imlib2 based image viewer
 feh is a fast, lightweight image viewer which uses imlib2. It is
 commandline-driven and supports multiple images through
 slideshows, thumbnail browsing or multiple windows, and montages
 or index prints (using TrueType fonts to display file info).
 Advanced features include fast dynamic zooming, progressive
 loading, loading via HTTP (with reload support for watching
 webcams), recursive file opening (slideshow of a directory
 hierarchy), and mouse wheel/keyboard control.

## feh 3.2.1

=== debian/changelog ===
feh (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Aug 2019 06:29:25 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
                libexif-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/

## feh 3.3

=== man/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	-e 's/\$$MAN_CURL\$$/${MAN_CURL}/' \
 	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
 	-e 's/\$$MAN_EXIF\$$/${MAN_EXIF}/' \
+	-e 's/\$$MAN_INOTIFY\$$/${MAN_INOTIFY}/' \
 	-e 's/\$$MAN_VERSCMP\$$/${MAN_VERSCMP}/' \
 	-e 's/\$$MAN_XINERAMA\$$/${MAN_XINERAMA}/' \
 	< ${@:.1=.pre} > $@

=== src/Makefile ===
include ../config.mk

TARGETS = \
	events.c \
	feh_png.c \
	filelist.c \
	getopt.c \
	getopt1.c \
	gib_hash.c \
	gib_imlib.c \
	gib_list.c \
	gib_style.c \
	imlib.c \
	index.c \
	keyevents.c \
	list.c \
	main.c \
	md5.c \
	menu.c \
	multiwindow.c \
	options.c \
	signals.c \
	slideshow.c \
	thumbnail.c \
	timers.c \
	utils.c \
	wallpaper.c \
	winwidget.c

ifeq (${exif},1)
	TARGETS += \
		exif.c \
		exif_canon.c \
		exif_nikon.c
endif

OBJECTS = ${TARGETS:.c=.o}

I_SRCS = ${shell echo *.raw}
I_DSTS = ${I_SRCS:.raw=.inc}

feh: deps.mk ${OBJECTS} ${I_DSTS}
	${CC} ${LDFLAGS} ${CFLAGS} -o $@ ${OBJECTS} ${LDLIBS}

include deps.mk

.raw.inc:
	sed 's/^\(.*\)$$/"\1\\n"/' < ${@:.inc=.raw} > $@

fehrc.inc: fehrc.raw
help.inc: help.raw

# CFLAGS might contain include paths needed to resolve includes in headers
deps.mk: ${TARGETS} ${I_DSTS}
	${CC} ${CFLAGS} -MM ${TARGETS} > $@

clean:
	rm -f feh *.o *.inc

.PHONY: clean

.SUFFIXES: .inc .raw

=== debian/changelog ===
feh (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Jan 2020 22:07:18 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libxt-dev,
                libimlib2-dev,
                libxinerama-dev,
-               debhelper (>= 10),
+               debhelper-compat (= 10),
                perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
                libexif-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://feh.finalrewind.org/ .*/feh-([\d\.]+)\.tar\.bz2

## feh 3.4

=== debian/changelog ===
feh (3.4-1.antix1) unstable; urgency=medium

  * remove yudit-common dependency  

 -- anticapitalista <antix@operamail.com>  Sun, 19 Apr 2020 21:48:01 +0300

feh (3.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove outdated feh-cam man page (closes: #944708).
  * Rename NEWS.Debian to NEWS.
  * Remove quotes from mailcap entries.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Apr 2020 20:03:50 +0000

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,8 @@
 Package: feh
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         yudit-common
-Recommends: libjpeg-progs
+         ${misc:Depends}
+Recommends: libjpeg-progs, yudit-common
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

## feh 3.4.1

=== debian/changelog ===
feh (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Jun 2020 18:03:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
                libexif-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/
@@ -21,8 +21,9 @@
 Package: feh
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: libjpeg-progs, yudit-common
+         ${misc:Depends},
+         yudit-common
+Recommends: libjpeg-progs
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

## feh 3.5

=== debian/changelog ===
feh (3.5-1.0antix1) unstable; urgency=medium

  * antiX build to remove yudit-common dependency 

 -- anticapitalista <antix@operamail.com>  Sat, 03 Oct 2020 13:30:43 +0300

feh (3.5-1) unstable; urgency=medium

  * New upstream release.
  * Add webp MIME to supported image formats in desktop entry
    (closes: #968128).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Oct 2020 17:17:18 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
 Package: feh
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         yudit-common
+         ${misc:Depends}
 Recommends: libjpeg-progs
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is

## feh 3.6.1

=== debian/changelog ===
feh (3.6.1-1.0antix1) unstable; urgency=medium

  * antiX build without yudit-common dependncy

 -- anticapitalista <antix@operamail.com>  Tue, 22 Dec 2020 00:55:15 +0200

feh (3.6.1-1) unstable; urgency=medium

  * New upstream release:
    - fix excessive memory consumption when showing long-running slideshows
      and compiled with exif=1 (closes: #977798).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Dec 2020 08:25:43 +0100

## feh 3.6.2

=== debian/changelog ===
feh (3.6.2-1.0antix2) unstable; urgency=medium

  * add yudit.ttf font

 -- anticapitalista <antix@operamail.com>  Sat, 30 Jan 2021 20:59:03 +0200

feh (3.6.2-1.0antix1) unstable; urgency=medium

  * remove yudit-common hard dependency
  * build for antiX 

 -- anticapitalista <antix@operamail.com>  Tue, 12 Jan 2021 19:09:04 +0200

feh (3.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 Jan 2021 06:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: libjpeg-progs
+Recommends: libjpeg-progs, yudit-common
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

## feh 3.6.3

=== man/Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
 	-e 's/\$$MAN_EXIF\$$/${MAN_EXIF}/' \
 	-e 's/\$$MAN_INOTIFY\$$/${MAN_INOTIFY}/' \
-	-e 's/\$$MAN_VERSCMP\$$/${MAN_VERSCMP}/' \
 	-e 's/\$$MAN_XINERAMA\$$/${MAN_XINERAMA}/' \
 	< ${@:.1=.pre} > $@

=== debian/changelog ===
feh (3.6.3-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 09 Jul 2021 11:33:53 -0400

feh (3.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update debhelper level to 12 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 02 Feb 2021 19:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: feh
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics
@@ -8,7 +9,7 @@
                libxt-dev,
                libimlib2-dev,
                libxinerama-dev,
-               debhelper-compat (= 10),
+               debhelper-compat (= 12),
                perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
@@ -21,8 +22,9 @@
 Package: feh
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: libjpeg-progs, yudit-common
+         ${misc:Depends},
+         yudit-common
+Recommends: libjpeg-progs
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build --parallel -- PREFIX=/usr exif=1

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/feh PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

## feh 3.7.0

=== debian/changelog ===
feh (3.7.0-1.0antix1) unstable; urgency=medium

  * antiX build
  * yudit-common changed to recommends not depends

 -- anticapitalista <antix@operamail.com>  Fri, 09 Jul 2021 16:29:35 +0300

feh (3.6.3-1.0antix1) unstable; urgency=medium

  * antiX build
  * yudit-common changed to recommends not depends

 -- anticapitalista <antix@operamail.com>  Wed, 03 Feb 2021 18:04:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: feh
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics
@@ -23,8 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         yudit-common
-Recommends: libjpeg-progs
+Recommends: libjpeg-progs, yudit-common
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

## feh 3.7.1

=== debian/changelog ===
feh (3.7.1-1.0~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.
  * Don't build dbgsym package.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 25 Jul 2021 02:21:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: feh
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_build:
 	dh_auto_build --parallel -- PREFIX=/usr exif=1
@@ -15,9 +18,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -k ChangeLog
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 %:
 	dh $@

## feh 3.8

=== debian/changelog ===
feh (3.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Apr 2022 10:48:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: feh
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics
@@ -9,21 +8,23 @@
                libxt-dev,
                libimlib2-dev,
                libxinerama-dev,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
                libexif-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/
+Rules-Requires-Root: no
 
 Package: feh
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Recommends: libjpeg-progs, yudit-common
+         yudit-common
+Recommends: libjpeg-progs
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_build:
-	dh_auto_build --parallel -- PREFIX=/usr exif=1
+	dh_auto_build -- PREFIX=/usr exif=1
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/feh PREFIX=/usr

## feh 3.9.1

=== Makefile ===
--- 
+++ 
@@ -25,20 +25,20 @@
 install: install-man install-doc install-bin install-font install-img
 install: install-icon install-examples install-applications
 
-install-man:
+install-man: man/feh.1
 	@echo installing manuals to ${man_dir}
 	@mkdir -p ${man_dir}/man1
 	@cp man/feh.1 ${man_dir}/man1
 	@chmod 644 ${man_dir}/man1/feh.1
 
-install-doc:
+install-doc: AUTHORS ChangeLog README.md TODO
 	@echo installing docs to ${doc_dir}
 	@mkdir -p ${doc_dir}
 	@cp AUTHORS ChangeLog README.md TODO ${doc_dir}
 	@chmod 644 ${doc_dir}/AUTHORS ${doc_dir}/ChangeLog ${doc_dir}/README.md \
 		${doc_dir}/TODO
 
-install-bin:
+install-bin: src/feh
 	@echo installing executables to ${bin_dir}
 	@mkdir -p ${bin_dir}
 	@cp src/feh ${bin_dir}/feh.tmp
@@ -78,7 +78,7 @@
 	@cp examples/* ${example_dir}
 	@chmod 644 ${example_dir}/*
 
-install-applications:
+install-applications: share/applications/feh.desktop
 	@echo installing desktop file to ${desktop_dir}
 	@mkdir -p ${desktop_dir}
 	@cp share/applications/feh.desktop ${desktop_dir}

=== debian/changelog ===
feh (3.9.1-2) unstable; urgency=medium

  * Test-Depends: libx11-guitest-perl
    Closes: #1029960
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 31 Jan 2023 10:19:04 +0100

feh (3.9.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Add build time test (but exclude a few tests since some font is not found)
  * Add autopkgtest
  * Standards-Version: 4.6.1 (routine-update)

  [ Klaus Umbach ]
  * Enable inotify support

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 18:14:11 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,12 @@
                perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
-               libexif-dev
-Standards-Version: 4.6.0
+               libexif-dev,
+               libx11-guitest-perl <!nocheck>,
+               fontconfig <!nocheck>,
+               xvfb <!nocheck>,
+               xauth <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME=/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr exif=1 inotify=1

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/feh PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir $${HOME}/.fonts
	cp -a share/fonts/*.ttf $${HOME}/.fonts
	fc-cache -fv
	fc-list
	# dpkg-reconfigure fontconfig-config # needs 'Rules-Requires-Root: yes' ... but it does not help anyway
	PATH=src:${PATH} LC_ALL=C /usr/bin/xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -noreset" perl test/feh-i.t
endif

## feh 3.10

=== debian/changelog ===
feh (3.10-1.0antix1) unstable; urgency=medium

  * remove dependency on yudit-common 

 -- anticapitalista <antix@operamail.com>  Sat, 10 Jun 2023 13:57:51 +0300

feh (3.10-1) unstable; urgency=medium

  * New upstream version
  * Copy upstream tarball signature
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 31 May 2023 11:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libxt-dev,
                libimlib2-dev,
                libxinerama-dev,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
@@ -27,8 +27,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         yudit-common
-Recommends: libjpeg-progs
+Recommends: libjpeg-progs, yudit-common
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

## feh 3.10.1

=== debian/changelog ===
feh (3.10.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 27 Feb 2024 14:10:33 -0800

feh (3.10.1-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 27 Feb 2024 14:03:47 -0800

feh (3.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2023 10:14:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: feh
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics
@@ -8,7 +9,7 @@
                libxt-dev,
                libimlib2-dev,
                libxinerama-dev,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
@@ -27,7 +28,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Recommends: libjpeg-progs, yudit-common
+         yudit-common
+Recommends: libjpeg-progs
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/default.mk
 
 export HOME=/tmp
 
@@ -10,6 +12,10 @@
 
 %:
 	dh $@
+
+override_dh_clean:
+	dh_clean
+	cp -a debian/upstream/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.*.asc ..
 
 override_dh_auto_build:
 	dh_auto_build -- PREFIX=/usr exif=1 inotify=1
@@ -29,3 +35,6 @@
 	# dpkg-reconfigure fontconfig-config # needs 'Rules-Requires-Root: yes' ... but it does not help anyway
 	PATH=src:${PATH} LC_ALL=C /usr/bin/xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -noreset" perl test/feh-i.t
 endif
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym

## feh 3.10.2

=== debian/changelog ===
feh (3.10.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 01 Jun 2024 22:07:19 +0200

## feh 3.10.3

=== debian/changelog ===
feh (3.10.3-1) unstable; urgency=medium

  * New upstream version
  * Add heic to mime settings
  * Add heic to desktop file

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2024 19:58:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: feh
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics
@@ -18,7 +17,7 @@
                fontconfig <!nocheck>,
                xvfb <!nocheck>,
                xauth <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,3 @@
 	# dpkg-reconfigure fontconfig-config # needs 'Rules-Requires-Root: yes' ... but it does not help anyway
 	PATH=src:${PATH} LC_ALL=C /usr/bin/xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -noreset" perl test/feh-i.t
 endif
-
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym

## feh 3.11.1

=== debian/changelog ===
feh (3.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix DEP3 dates

  [ xiao sheng wen ]
  * Bump Standards-Version: 4.7.2
  * New upstream version 3.11.1
  * add d/u/feh_3.11.1.orig.tar.bz2.asc

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 30 Aug 2025 11:59:15 +0800

## feh 3.11.2

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	@${MAKE} -C share/applications
 
 test: all
-	@if ! uname -m | fgrep -q -e arm -e mips; then \
+	@if ! uname -m | grep -q -e arm -e mips; then \
 		PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t; \
 	else \
 		PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t || cat test/imlib2-bug-notice; \

=== man/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
 	-e 's/\$$MAN_EXIF\$$/${MAN_EXIF}/' \
 	-e 's/\$$MAN_INOTIFY\$$/${MAN_INOTIFY}/' \
+	-e 's/\$$MAN_MAGIC\$$/${MAN_MAGIC}/' \
 	-e 's/\$$MAN_XINERAMA\$$/${MAN_XINERAMA}/' \
 	< ${@:.1=.pre} > $@

=== share/applications/Makefile ===
include ../../config.mk

SOURCES = ${shell echo *.pre}
TARGETS = ${SOURCES:.pre=.desktop}

all: ${TARGETS}

.pre.desktop:
	sed \
	-e 's/\$$VERSION\$$/${VERSION}/g' \
	-e 's/\$$DATE\$$/'"$$(date '+%B %d, %Y')"/g \
	-e 's/\$$MAN_CURL\$$/${MAN_CURL}/' \
	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
	-e 's/\$$MAN_EXIF\$$/${MAN_EXIF}/' \
	-e 's/\$$MAN_XINERAMA\$$/${MAN_XINERAMA}/' \
	-e 's:\$$IMAGEDIR\$$:${image_dir}:' \
	< ${@:.desktop=.pre} > $@

clean:
	rm -f *.desktop

.SUFFIXES: .pre .desktop

.PHONY: clean

=== debian/changelog ===
feh (3.11.2-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Use upstream desktop file
    Closes: #1093684
  * Cleanup after testing
    Closes: #1049618
  * debian/README.source: deleted

  [ Peter Samuelson ]
  * Escape hyphens in manpage
    Closes: #1050875

 -- Andreas Tille <tille@debian.org>  Thu, 06 Nov 2025 14:53:21 +0100

feh (3.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.11.2
  * d/copyright: update year info to 2025
  * add d/u/feh_3.11.2.orig.tar.bz2.asc

 -- xiao sheng wen <atzlinux@debian.org>  Thu, 11 Sep 2025 12:38:46 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                fontconfig <!nocheck>,
                xvfb <!nocheck>,
                xauth <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/

=== debian/rules ===
--- 
+++ 
@@ -34,4 +34,5 @@
 	fc-list
 	# dpkg-reconfigure fontconfig-config # needs 'Rules-Requires-Root: yes' ... but it does not help anyway
 	PATH=src:${PATH} LC_ALL=C /usr/bin/xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -noreset" perl test/feh-i.t
+	rm -rf $${HOME}/.fonts
 endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, xvfb, xauth, libx11-guitest-perl
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://feh.finalrewind.org/ .*/feh-v?(\d\S+)@ARCHIVE_EXT@

## feh 3.11.3

=== debian/changelog ===
feh (3.11.3-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * d/watch: version=5

  [ xiao sheng wen ]
  * d/u/signing-key.asc: add new key 0xEBB177BA
  * add d/gbp.conf
  * New upstream version 3.11.3
  * d/copyright: update year info to 2026
  * d/rules: delete override_dh_clean target, not used
  * Bump Standards-Version: 4.7.3
  * d/control: delete Rules-Requires-Root: no, useless

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 24 Feb 2026 18:13:46 +0800

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
                fontconfig <!nocheck>,
                xvfb <!nocheck>,
                xauth <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: https://feh.finalrewind.org/
-Rules-Requires-Root: no
 
 Package: feh
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,6 @@
 
 %:
 	dh $@
-
-override_dh_clean:
-	dh_clean
-	cp -a debian/upstream/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.*.asc ..
 
 override_dh_auto_build:
 	dh_auto_build -- PREFIX=/usr exif=1 inotify=1

=== debian/watch ===
Version: 5

Pgp-Mode: auto
Source: https://feh.finalrewind.org/
Matching-Pattern: .*/feh-v?(\d\S+)@ARCHIVE_EXT@
